Package Worms

## Class Worms

- java.lang.Object
- - javafx.application.Application
  - - Worms.Worms

-     public class Worms
      extends javafx.application.Application

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javafx.application.Application

      `javafx.application.Application.Parameters`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `(package private) javafx.stage.Stage` | `stage` |

    - ### Fields inherited from class javafx.application.Application

      `STYLESHEET_CASPIAN, STYLESHEET_MODENA`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Worms()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Startuje javafx
    `void` | `start​(javafx.stage.Stage primaryStage)` |
    `void` | `startGame​(int id, int hp, int teamsize)` | Priradenie druhej sceny k stagu,inic.

    - ### Methods inherited from class javafx.application.Application

      `getHostServices, getParameters, getUserAgentStylesheet, init, launch, launch, notifyPreloader, setUserAgentStylesheet, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### stage

          javafx.stage.Stage stage

  - ### Constructor Detail

    - #### Worms

          public Worms()

  - ### Method Detail

    - #### start

          public void start​(javafx.stage.Stage primaryStage)

      Specified by:
        `start` in class `javafx.application.Application`

    - #### startGame

          public void startGame​(int id,
                                int hp,
                                int teamsize)

      Priradenie druhej sceny k stagu,inic. a spustenie animacii vykreslujucich Pane
      Parameters:
        `id` - udava ktora z mapiek je vybrata
        `hp` - udava kolko hp budu wormsovia mat
        `teamsize` - udava kolko wormsov bude na mapke

    - #### main

          public static void main​(java.lang.String[] args)

      Startuje javafx
      Parameters:
        `args` - argumenty